{% extends "layout.html" %}

{% block title %}
    <a href="/companies">Safari days</a>
    {% if safari.second_date %}
        <a href="#" >{{ safari.first_date }} and {{ safari.second_date }}</a>
    {% else %}
        <a href="#" >{{ safari.first_date }}</a>
    {% endif %}
{% endblock %}

{% block body %}
    <div class="company rows3">
        <div class="rows2">
            <p>Status: {{safari.status}}
            
            <h1>Participating companies</h1>

            <div class="safari rows2">
                {% set is_student = 'no' %}
                
                {% if current_user.is_student %}
                    {% set is_student = 'yes' %}
                {% endif %}

                {% set ns = namespace(total_spots=0, total_registrations=0) %}

                {% for offer in safari.offers %}
                {% set ns.total_spots = ns.total_spots + offer.spots %}
                {% set ns.total_registrations = ns.total_registrations + offer.registrations|length %}
                <a class="safari-day" href="{{ url_for('show_safari_company', company_id=offer.company_id, safari_id=safari.id)}}">
                    <div>
                        <h4>{{ offer.company.name }}</h4>
                        <i>{{ offer.company.city }}</i>
                        {% for registration in offer.registrations %}
                            {{ registration.student.short_name }}
                        {% endfor %}
                    </div>

                    <div class="spots">
                        {% if not offer.use_alt_day %}
                        <b>{{ safari.first_date }}</b>
                        {% else %}
                        <b>{{ safari.second_date }}</b>
                        {% endif %}
                        
                        <div class="safari-status {% if offer.available_spots > 0 %}open{% else %}closed{% endif %}">
                            {{ offer.registrations|length }}/{{ offer.spots }} students
                        </div>
                    </div>
                </a>
                {% endfor %}
            </div>
            
            <div>
                <p>Number of companies that reacted: {{ safari.offers | length }}</p>
                <p>{{ ns.total_registrations }} out of {{ ns.total_spots }} spots filled ({{ ns.total_spots - ns.total_registrations }} available)</p>
            </div>            
    
            {% if current_user.is_admin %}
                <h1>Admin</h1>
                <form method="post" class="buttons">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
                    <input type="submit" name="delete" value="Delete safari" onclick="return confirm('Are you sure you want to delete the safari?')" >
                    {% if safari.status == 'company_registration' %}
                        <input type="submit" name="remind_companies" value="Send company reminders" onclick="return confirm('Are you sure you want to send reminder emails to the companies that have not filled the form yet?')" >
                        <input type="submit" name="start_student_registration" value="Start student registration" onclick="return confirm('Are you sure you want to end company signup?')" >
                    {% elif safari.status == 'student_registration' %}
                        <input type="submit" name="close" value="End student registration" onclick="return confirm('Are you sure you want close student registration?')">
                    {% endif %}
                </form>
            {% endif %}
        </div>
    </div>
{% endblock %}
